import os
from pydantic import BaseSettings


class Settings(BaseSettings):
    secret_key: str = os.getenv("SECRET_KEY", "your-secret-key-here")
    algorithm: str = "HS256"
    access_token_expire_minutes: int = 30
    app_name: str = "Task Manager API"
    app_version: str = "1.0.0"

    class Config:
        env_file = ".env"


settings = Settings()
